Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80501 - lookup_ldap.so does not use LDAP Version 3 protocol
Summary: lookup_ldap.so does not use LDAP Version 3 protocol
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 11:01 UTC by Klaus Steinberger
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-31 00:35:03 UTC


Attachments (Terms of Use)
Patch to have lookup_ldap.so trying protocol Version 3 (deleted)
2002-12-27 11:04 UTC, Klaus Steinberger
no flags Details | Diff

Description Klaus Steinberger 2002-12-27 11:01:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.2) Gecko/20021220

Description of problem:
Newer Openldap Servers (beginning with 2.1.x) disallow Version 2 protocol by
default. /usr/lib/autofs/autofs-ldap-auto-master as of RedHat 8.0 already tries
to connect using Protocol Version 3, but lookup_ldap.so only tries protocol
version 2. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setup openldap server to disallow bind_v2
2. try to use autofs
3. it fails
    

Actual Results:  autofs failed

Additional info: Please also backport to RH7.3/RH7.2 as it fails there too

Comment 1 Klaus Steinberger 2002-12-27 11:04:29 UTC
Created attachment 88943 [details]
Patch to have lookup_ldap.so trying protocol Version 3

This patch changes modules/lookup_ldap.c so that protocol Version 3 is tried,
this is done like in autofs-ldap-auto-master.c


Note You need to log in before you can comment on or make changes to this bug.